QT       += core gui
QT       += network

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

CONFIG += c++17

# You can make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    src/gameserver.cpp \
    src/main.cpp \
    src/serverwindow.cpp \
    src/serverworker.cpp \
    src/game.cpp

HEADERS += \
    headers/gameserver.h \
    headers/serverwindow.h \
    headers/serverworker.h \
    headers/game.h

FORMS += \
    src/serverwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target
